"use strict";

var _require = require("../response.js");

const handleResponseCode = _require.handleResponseCode;

var _require2 = require("../request.js");

const encodePath = _require2.encodePath,
      joinURL = _require2.joinURL,
      prepareRequestOptions = _require2.prepareRequestOptions,
      request = _require2.request;


function customRequest(remotePath, requestOptions, options) {
    if (!requestOptions.url) {
        requestOptions.url = joinURL(options.remoteURL, encodePath(remotePath), "/");
    }
    prepareRequestOptions(requestOptions, options);
    return request(requestOptions).then(handleResponseCode);
}

module.exports = {
    customRequest
};