"use strict";

const responseHandlers = require("../response.js");

const _require = require("../request.js"),
      encodePath = _require.encodePath,
      joinURL = _require.joinURL,
      prepareRequestOptions = _require.prepareRequestOptions,
      request = _require.request;

function createDirectory(dirPath, options) {
  const requestOptions = {
    url: joinURL(options.remoteURL, encodePath(dirPath)),
    method: "MKCOL"
  };
  prepareRequestOptions(requestOptions, options);
  return request(requestOptions).then(responseHandlers.handleResponseCode);
}

module.exports = {
  createDirectory: createDirectory
};