"use strict";

const _require = require("../response.js"),
      handleResponseCode = _require.handleResponseCode;

const _require2 = require("../request.js"),
      encodePath = _require2.encodePath,
      joinURL = _require2.joinURL,
      prepareRequestOptions = _require2.prepareRequestOptions,
      request = _require2.request;

function customRequest(remotePath, requestOptions, options) {
  if (!requestOptions.url) {
    requestOptions.url = joinURL(options.remoteURL, encodePath(remotePath), "/");
  }

  prepareRequestOptions(requestOptions, options);
  return request(requestOptions).then(handleResponseCode);
}

module.exports = {
  customRequest
};