"use strict";

const responseHandlers = require("../response.js");

const _require = require("../request.js"),
      encodePath = _require.encodePath,
      joinURL = _require.joinURL,
      prepareRequestOptions = _require.prepareRequestOptions,
      request = _require.request;

function moveFile(filename, destination, options) {
  const requestOptions = {
    url: joinURL(options.remoteURL, encodePath(filename)),
    method: "MOVE",
    headers: {
      Destination: joinURL(options.remoteURL, encodePath(destination))
    }
  };
  prepareRequestOptions(requestOptions, options);
  return request(requestOptions).then(responseHandlers.handleResponseCode);
}

module.exports = {
  moveFile
};